System.Security 2.0.0.0 4.0.0.0 System.Security.Cryptography.Xml.EncryptedType

This class is used to represent the <EncryptedData> element in XML encryption. This element is the core element in XML encryption. Its child element, <CipherData>, contains encrypted data. The <EncryptedData> element replaces an encrypted element or serves as the new document root.

Represents the <EncryptedData> element in XML encryption. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates a new instance of the class. For more information about XML encryption standards, see the "XML Encryption Syntax and Processing" document at http://www.w3.org/TR/xmlenc-core/.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement

  Use this method to output the <EncryptedData> element.

  Returns the XML representation of the object.

  An that represents the <EncryptedData> element in XML encryption.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  Use this method to load an existing XML element into the <EncryptedData> element represented by the object.

  Loads XML information into the <EncryptedData> element in XML encryption.

  An object representing an XML element to use for the <EncryptedData> element.